lkml.org 
[lkml]   [2021]   [Dec]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
Subject[next] arm64: efi-rt-wrapper.S:8: Error: unknown mnemonic `bti' -- `bti c'
[ Please ignore this email if it is already reported ]

While building Linux next 20211215 arm64 defconfig with gcc-8
following warnings / errors noticed.
and gcc-9, gcc-10 and gcc-11 builds pass.

make --silent --keep-going --jobs=8
O=/home/tuxbuild/.cache/tuxmake/builds/current \
ARCH=arm64 CROSS_COMPILE=aarch64-linux-gnu- \
CROSS_COMPILE_COMPAT=arm-linux-gnueabihf- \
'CC=sccache aarch64-linux-gnu-gcc' \
'HOSTCC=sccache gcc'

/builds/linux/arch/arm64/kernel/efi-rt-wrapper.S: Assembler messages:
/builds/linux/arch/arm64/kernel/efi-rt-wrapper.S:8: Error: unknown
mnemonic `bti' -- `bti c'
make[3]: *** [/builds/linux/scripts/Makefile.build:411:
arch/arm64/kernel/efi-rt-wrapper.o] Error 1


meta data:
-----------
git describe: next-20211215
git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
git_sha: 93bf6eee76c0e716f6b32de690b1c52991547bb4
git_short_log: 93bf6eee76c0 (\"Add linux-next specific files for 20211215\")
target_arch: arm64
toolchain: gcc-8

steps to reproduce:
# To install tuxmake on your system globally:
# sudo pip3 install -U tuxmake

tuxmake --runtime podman --target-arch arm64 --toolchain gcc-8
--kconfig defconfig

Reported-by: Linux Kernel Functional Testing <lkft@linaro.org>

build log:
https://builds.tuxbuild.com/22LCvXNzzZHquxsEYJUxEGe1kHW/

--
Linaro LKFT
https://lkft.linaro.org

\
 
 \ /
  Last update: 2021-12-16 05:02    [W:0.070 / U:3.848 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site